> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Set as default theme

> Set this appearance configuration as the default theme for the organization.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ post /api/v1/appearance/{id}/set_default/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/appearance/{id}/set_default/:
    post:
      tags:
        - appearance
      summary: Set as default theme
      description: >-
        Set this appearance configuration as the default theme for the
        organization.
      operationId: appearance_set_default_create
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetDefaultResponse'
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SetDefaultResponse:
      type: object
      properties:
        message:
          type: string
          description: Success message
        default_theme_id:
          type: integer
          description: ID of the new default theme
      required:
        - default_theme_id
        - message
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````